> ## Documentation Index
> Fetch the complete documentation index at: https://docs.slng.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Cognigy STT

> Stream live audio to SLNG over the Cognigy Voice Gateway WebSocket protocol and receive real-time STT transcripts from any supported model.



## AsyncAPI

````yaml api-reference/asyncapi/bridges-cognigy.asyncapi.yaml /v1/bridges/cognigy/stt/{model_variant}
id: /v1/bridges/cognigy/stt/{model_variant}
title: Cognigy STT Bridge
description: >-
  Stream live audio to SLNG over the Cognigy Voice Gateway WebSocket protocol
  and receive real-time STT transcripts from any supported model.
servers:
  - id: production
    protocol: wss
    host: api.slng.ai
    bindings: []
    variables: []
  - id: staging
    protocol: wss
    host: stageapi.slng.ai
    bindings: []
    variables: []
address: /v1/bridges/cognigy/stt/{model_variant}
parameters: []
bindings:
  - protocol: ws
    version: latest
    value:
      method: GET
      headers:
        type: object
        properties:
          X-Region-Override:
            type: string
            description: Target region override. Auto-selected if not provided.
            x-parser-schema-id: <anonymous-schema-39>
          X-World-Part-Override:
            type: string
            description: Target world part override. Auto-selected if not provided.
            x-parser-schema-id: <anonymous-schema-40>
        x-parser-schema-id: WebsocketHeaders
      query:
        type: object
        properties:
          region:
            type: string
            description: >-
              Target region override as a query parameter. Auto-selected if not
              provided. Equivalent to the `X-Region-Override` header; the header
              takes precedence when both are set.
            enum:
              - ap-southeast-2
              - eu-north-1
              - us-east-1
            x-parser-schema-id: <anonymous-schema-41>
          world-part:
            type: string
            description: >-
              Target world part override as a query parameter. Auto-selected if
              not provided. Equivalent to the `X-World-Part-Override` header;
              the header takes precedence when both are set.
            enum:
              - ap
              - eu
              - na
            x-parser-schema-id: <anonymous-schema-42>
        x-parser-schema-id: WebsocketQueryParams
    schemaProperties:
      - name: method
        type: string
        description: GET
        required: false
      - name: headers
        type: object
        required: false
        properties:
          - name: X-Region-Override
            type: string
            description: Target region override. Auto-selected if not provided.
            required: false
          - name: X-World-Part-Override
            type: string
            description: Target world part override. Auto-selected if not provided.
            required: false
      - name: query
        type: object
        required: false
        properties:
          - name: region
            type: string
            description: >-
              Target region override as a query parameter. Auto-selected if not
              provided. Equivalent to the `X-Region-Override` header; the header
              takes precedence when both are set.
            enumValues:
              - ap-southeast-2
              - eu-north-1
              - us-east-1
            required: false
          - name: world-part
            type: string
            description: >-
              Target world part override as a query parameter. Auto-selected if
              not provided. Equivalent to the `X-World-Part-Override` header;
              the header takes precedence when both are set.
            enumValues:
              - ap
              - eu
              - na
            required: false
operations:
  - &ref_2
    id: cognigySttBridgeReceiveStart
    title: Cognigy stt bridge receive start
    description: Start session on Cognigy STT Bridge
    type: receive
    messages:
      - &ref_7
        id: CognigyStartMessage
        contentType: application/json
        payload:
          - name: Start Message
            description: Initialize Cognigy STT session with language and sample rate.
            type: object
            properties:
              - name: type
                type: string
                description: start
                required: true
              - name: language
                type: string
                description: ISO-639-1 language code.
                enumValues:
                  - en
                  - ja
                  - zh
                  - de
                  - hi
                  - fr
                  - ko
                  - pt
                  - it
                  - es
                  - id
                  - nl
                  - tr
                  - fil
                  - pl
                  - sv
                  - bg
                  - ro
                  - ar
                  - cs
                  - el
                  - fi
                  - hr
                  - ms
                  - sk
                  - da
                  - ta
                  - uk
                  - ru
                  - hu
                  - 'no'
                  - vi
                required: false
              - name: sample_rate
                type: number
                description: Audio sample rate in Hz.
                enumValues:
                  - 8000
                  - 16000
                  - 22050
                  - 24000
                  - 32000
                  - 48000
                required: false
        headers: []
        jsonPayloadSchema:
          type: object
          description: Initialize STT session with language and sample rate configuration.
          required:
            - type
          properties:
            type:
              type: string
              const: start
              x-parser-schema-id: <anonymous-schema-2>
            language: &ref_1
              type: string
              description: ISO-639-1 language code.
              enum:
                - en
                - ja
                - zh
                - de
                - hi
                - fr
                - ko
                - pt
                - it
                - es
                - id
                - nl
                - tr
                - fil
                - pl
                - sv
                - bg
                - ro
                - ar
                - cs
                - el
                - fi
                - hr
                - ms
                - sk
                - da
                - ta
                - uk
                - ru
                - hu
                - 'no'
                - vi
              x-parser-schema-id: LanguageCode
            sample_rate:
              type: number
              description: Audio sample rate in Hz.
              enum:
                - 8000
                - 16000
                - 22050
                - 24000
                - 32000
                - 48000
              x-parser-schema-id: <anonymous-schema-3>
          x-parser-schema-id: <anonymous-schema-1>
        title: Start Message
        description: Initialize Cognigy STT session with language and sample rate.
        example: |-
          {
            "type": "start",
            "language": "en",
            "sample_rate": 16000
          }
        bindings: []
        extensions:
          - id: x-parser-unique-object-id
            value: CognigyStartMessage
    bindings: []
    extensions: &ref_0
      - id: x-parser-unique-object-id
        value: /v1/bridges/cognigy/stt/{model_variant}
  - &ref_3
    id: cognigySttBridgeReceiveStop
    title: Cognigy stt bridge receive stop
    description: Stop session on Cognigy STT Bridge
    type: receive
    messages:
      - &ref_8
        id: CognigyStopMessage
        contentType: application/json
        payload:
          - name: Stop Message
            description: End the Cognigy STT session and finalize transcription.
            type: object
            properties:
              - name: type
                type: string
                description: stop
                required: true
        headers: []
        jsonPayloadSchema:
          type: object
          description: End the STT session and finalize transcription.
          required:
            - type
          properties:
            type:
              type: string
              const: stop
              x-parser-schema-id: <anonymous-schema-5>
          x-parser-schema-id: <anonymous-schema-4>
        title: Stop Message
        description: End the Cognigy STT session and finalize transcription.
        example: |-
          {
            "type": "stop"
          }
        bindings: []
        extensions:
          - id: x-parser-unique-object-id
            value: CognigyStopMessage
    bindings: []
    extensions: *ref_0
  - &ref_4
    id: cognigySttBridgeReceiveKeepalive
    title: Cognigy stt bridge receive keepalive
    description: Send keepalive on Cognigy STT Bridge
    type: receive
    messages:
      - &ref_9
        id: KeepaliveMessage
        contentType: application/json
        payload:
          - name: Keepalive Message
            description: Keep the WebSocket connection alive during silence.
            type: object
            properties:
              - name: type
                type: string
                description: keepalive
                required: true
        headers: []
        jsonPayloadSchema:
          type: object
          description: >-
            Prevents the connection from being closed due to inactivity. Send
            periodically during silence to maintain the session.
          required:
            - type
          properties:
            type:
              type: string
              const: keepalive
              x-parser-schema-id: <anonymous-schema-19>
          x-parser-schema-id: <anonymous-schema-18>
        title: Keepalive Message
        description: Keep the WebSocket connection alive during silence.
        example: |-
          {
            "type": "keepalive"
          }
        bindings: []
        extensions:
          - id: x-parser-unique-object-id
            value: KeepaliveMessage
    bindings: []
    extensions: *ref_0
  - &ref_5
    id: cognigySttBridgeSendTranscription
    title: Cognigy stt bridge send transcription
    description: Receive transcription from Cognigy STT Bridge
    type: send
    messages:
      - &ref_10
        id: CognigyTranscription
        contentType: application/json
        payload:
          - name: Transcription
            description: Transcription result with alternatives and metadata.
            type: object
            properties:
              - name: type
                type: string
                description: transcription
                required: true
              - name: is_final
                type: boolean
                description: Whether this is a final (not interim) transcription
                required: true
              - name: alternatives
                type: array
                description: List of transcription alternatives ranked by confidence
                required: true
                properties:
                  - name: confidence
                    type: number
                    description: Confidence score (0-1)
                    required: false
                  - name: transcript
                    type: string
                    description: Transcribed text
                    required: false
              - name: channel
                type: integer
                description: Audio channel number
                required: false
              - name: language
                type: string
                description: ISO-639-1 language code.
                enumValues:
                  - en
                  - ja
                  - zh
                  - de
                  - hi
                  - fr
                  - ko
                  - pt
                  - it
                  - es
                  - id
                  - nl
                  - tr
                  - fil
                  - pl
                  - sv
                  - bg
                  - ro
                  - ar
                  - cs
                  - el
                  - fi
                  - hr
                  - ms
                  - sk
                  - da
                  - ta
                  - uk
                  - ru
                  - hu
                  - 'no'
                  - vi
                required: false
        headers: []
        jsonPayloadSchema:
          type: object
          description: Transcription result with alternatives and metadata.
          required:
            - type
            - is_final
            - alternatives
          properties:
            type:
              type: string
              const: transcription
              x-parser-schema-id: <anonymous-schema-7>
            is_final:
              type: boolean
              description: Whether this is a final (not interim) transcription
              x-parser-schema-id: <anonymous-schema-8>
            alternatives:
              type: array
              description: List of transcription alternatives ranked by confidence
              items:
                type: object
                properties:
                  confidence:
                    type: number
                    description: Confidence score (0-1)
                    x-parser-schema-id: <anonymous-schema-11>
                  transcript:
                    type: string
                    description: Transcribed text
                    x-parser-schema-id: <anonymous-schema-12>
                x-parser-schema-id: <anonymous-schema-10>
              x-parser-schema-id: <anonymous-schema-9>
            channel:
              type: integer
              description: Audio channel number
              x-parser-schema-id: <anonymous-schema-13>
            language: *ref_1
          x-parser-schema-id: <anonymous-schema-6>
        title: Transcription
        description: Transcription result with alternatives and metadata.
        example: |-
          {
            "type": "transcription",
            "is_final": true,
            "alternatives": [
              {
                "confidence": 0.95,
                "transcript": "Hello world"
              }
            ],
            "language": "en"
          }
        bindings: []
        extensions:
          - id: x-parser-unique-object-id
            value: CognigyTranscription
    bindings: []
    extensions: *ref_0
  - &ref_6
    id: cognigySttBridgeSendError
    title: Cognigy stt bridge send error
    description: Receive error from Cognigy STT Bridge
    type: send
    messages:
      - &ref_11
        id: CognigySTTErrorResponse
        contentType: application/json
        payload:
          - name: Error Response (Cognigy STT)
            description: Error occurred during Cognigy STT recognition.
            type: object
            properties:
              - name: type
                type: string
                description: error
                required: true
              - name: error
                type: string
                description: >-
                  Error code. May be omitted when the upstream provider does not
                  surface a discrete error code.
                required: false
              - name: message
                type: string
                description: Human-readable error description
                required: true
        headers: []
        jsonPayloadSchema:
          type: object
          description: Error occurred during recognition.
          required:
            - type
            - message
          properties:
            type:
              type: string
              const: error
              x-parser-schema-id: <anonymous-schema-15>
            error:
              type: string
              description: >-
                Error code. May be omitted when the upstream provider does not
                surface a discrete error code.
              x-parser-schema-id: <anonymous-schema-16>
            message:
              type: string
              description: Human-readable error description
              x-parser-schema-id: <anonymous-schema-17>
          x-parser-schema-id: <anonymous-schema-14>
        title: Error Response (Cognigy STT)
        description: Error occurred during Cognigy STT recognition.
        example: |-
          {
            "type": "error",
            "error": "config_error",
            "message": "Invalid language code"
          }
        bindings: []
        extensions:
          - id: x-parser-unique-object-id
            value: CognigySTTErrorResponse
    bindings: []
    extensions: *ref_0
sendOperations:
  - *ref_2
  - *ref_3
  - *ref_4
receiveOperations:
  - *ref_5
  - *ref_6
sendMessages:
  - *ref_7
  - *ref_8
  - *ref_9
receiveMessages:
  - *ref_10
  - *ref_11
extensions:
  - id: x-parser-unique-object-id
    value: /v1/bridges/cognigy/stt/{model_variant}
securitySchemes:
  - id: bearer
    name: bearer
    type: http
    description: >
      API key issued by SLNG. Pass as `Authorization: Bearer <token>` in the
      WebSocket upgrade request headers.
    scheme: bearer
    extensions: []

````